Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#59011 - [python-libarchive-c] package contains no python module

Attached to Project: Community Packages
Opened by Luca Weiss (z3ntu) - Thursday, 14 June 2018, 11:44 GMT
Last edited by Eli Schwartz (eschwartz) - Friday, 15 June 2018, 01:39 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
When running diffoscope I get

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/diffoscope/main.py", line 452, in main
sys.exit(run_diffoscope(parsed_args))
File "/usr/lib/python3.6/site-packages/diffoscope/main.py", line 424, in run_diffoscope
difference = compare_root_paths(path1, path2)
File "/usr/lib/python3.6/site-packages/diffoscope/comparators/utils/compare.py", line 65, in compare_root_paths
file1 = specialize(FilesystemFile(path1, container=container1))
File "/usr/lib/python3.6/site-packages/diffoscope/comparators/utils/specialize.py", line 48, in specialize
for cls in ComparatorManager().classes:
File "/usr/lib/python3.6/site-packages/diffoscope/comparators/__init__.py", line 104, in __init__
self.reload()
File "/usr/lib/python3.6/site-packages/diffoscope/comparators/__init__.py", line 125, in reload
', '.join(xs)
ImportError: Could not import deb.Md5sumsFile


Additional info:
* diffoscope 95-1


Steps to reproduce:
Install diffoscope
Run diffoscope (e.g. with -h flag or with two files as parameters)
This task depends upon

Closed by  Eli Schwartz (eschwartz)
Friday, 15 June 2018, 01:39 GMT
Reason for closing:  Fixed
Additional comments about closing:  python-libarchive-c 2.8-2
Comment by Eli Schwartz (eschwartz) - Thursday, 14 June 2018, 13:32 GMT
  • Field changed: Summary ([diffoscope] ImportError: Could not import deb.Md5sumsFile → [python-libarchive-c] ImportError: Could not import deb.Md5sumsFile)
  • Field changed: Status (Unconfirmed → Assigned)
  • Task assigned to Levente Polyak (anthraxx)
https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/python-libarchive-c&id=591faea97d92b66fbe89c900dd43409ffbd9427d

Has no build function, package contains no code.

I've got no clue why diffoscope hides errors so you cannot see what occurred though.
Comment by Eli Schwartz (eschwartz) - Friday, 15 June 2018, 01:39 GMT
Incidentally this will be more obvious in the future: https://salsa.debian.org/reproducible-builds/diffoscope/merge_requests/7

Loading...